Honda Africa Twin Forum banner
1 - 2 of 2 Posts

·
Registered
Joined
·
1 Posts
I tried to use OSMand 4.1 on the Twin (version 3.10) but I didn't see the icon to start it (it is on my phone)
Google maps and other apps worked flawlessly....

I need OSMand on my Twin for offroad trips.....
 
1 - 2 of 2 Posts
Top